--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Generate additional attributes and values.
full_name: OpenStructable#update
is_singleton: false
name: update
params: (hash)
visibility: public
